TEXIFY(1)

NAME
texify - format code for use with LaTeX

SYNOPSIS

texify<input-type> [OPTION]...

DESCRIPTION

texify translates source code written in any of several different languages to latex(1) source files. The purpose is to make source code embedded in documents more readable, by providing syntax highliting.

OPTIONS

-i FILE
    Read from FILE instead of standard input.

-o FILE
    Write to FILE instead of standard output.

-l LENGTH
    Limit line length to LENGTH.

-t LENGTH
    Make a tab correspond to LENGTH spaces. Default is 6.

-num INTERVAL
    Prefix output lines with the corresponding line number from the input, skipping INTERVAL lines between each time a prefix is added. An interval of 1 will ensure that every line is prefixed.

-numsize \texsize
    Replace the TeX code used to set the size of the line numbers. The default is \footnotesize.

INPUT TYPES

abel
    ABEL source code

ada Ada source code

asm Assembly code

axiom
    AXIOM code

B   B source code

beta
    BETA source code

bison
    Bison source code

c   C source code

c++ C++ source code

idl OMG/CORBA IDL source code

java
    Java source code

lex Lex source code

lisp
    LISP source code

logla
    LOGLA source code

matlab
    MATLAB script

ml  ML source code

perl
    Perl source code

promela
    Promela source code

python
    Python source code

scheme
    Scheme soruce code

sim SIMULA source code

sql SQL queries

ruby
    Ruby source code

vhdl
    VHDL description

This manual page was written for the Debian operating system because the original program does not have a manual page.

EXAMPLES

Say you want to format a Java source file.  Just type:
    texifyjava < input.java > output.tex

You can also format the output of some program without storing its output in a temporary file.  If you want to format the output of a PostgreSQL database dump, just type:
    pg_dump foobar | texifysql > output.tex

AUTHOR

This manual page was written by Morten Hustveit <morten@debian.org>.